<%--
  Copyright 2011 The Kuali Foundation Licensed under the Educational Community
  License, Version 2.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License at
  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
  agreed to in writing, software distributed under the License is distributed
  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied. See the License for the specific language governing
  permissions and limitations under the License.
--%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme" uri="http://kuali.org/mobility" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<spring:message code="push.device.detail" 	var="msgCat_ToolTitle"/>
<kme:page title="${msgCat_ToolTitle}" id="push-webapp" backButton="true" homeButton="true" cssFilename="push" jsFilename="push">
	<kme:content>
		<kme:listView id="deviceslist" filter="false" dataTheme="c" dataInset="false">
			<li data-role="list-divider">
				<c:out value="${device.deviceName}" />
			</li>
			<kme:listItem hideDataIcon="false">
				<h3><spring:message code="push.device.type" />:</h3>
				<p><c:out value="${device.type}" /></p>	
			</kme:listItem>
			<kme:listItem hideDataIcon="false">
				<h3><spring:message code="push.device.regid" />:</h3>
				<p><c:out value="${device.regId}" /></p>
			</kme:listItem>
			<kme:listItem hideDataIcon="false">
				<h3><spring:message code="push.devices.username" />:</h3>
				<p>
					<c:choose>
						<c:when test="${not empty device.username}">
							<c:out value="${device.username}" />
						</c:when>
						<c:otherwise>
							<span style="color:#990000">
								<spring:message code="push.devices.unregistered" />
							</span>
						</c:otherwise>
					</c:choose>
				</p>	
		  	</kme:listItem>
			<kme:listItem hideDataIcon="false">
				<h3><spring:message code="push.device.devid" />:</h3>
				<p><c:out value="${device.deviceId}" /></p>	
		  	</kme:listItem>
			<kme:listItem hideDataIcon="false">
				<h3><spring:message code="push.device.registrationDate" />:</h3>
				<p><c:out value="${device.postedTimestamp}" /></p>
			</kme:listItem>
			
			<kme:listItem>
				<fieldset class="ui-grid-a">
					<div class="ui-block-a">
						<button data-theme="c" id="remove" onClick="showConfirm('${pageContext.request.scheme}://${pageContext.request.serverName}:${pageContext.request.serverPort}${pageContext.request.contextPath}/device/remove/${device.deviceId}');return false;">
							<spring:message code="push.device.remove" />
						</button>
					</div>
					<div class="ui-block-b">
						<a data-role="button" data-theme="a" id="send" href="${pageContext.request.scheme}://${pageContext.request.serverName}:${pageContext.request.serverPort}${pageContext.request.contextPath}/push/send?id=${device.id}">
							<spring:message code="push.message.send" />
						</a>
					</div>
				</fieldset>
			</kme:listItem>
			
		</kme:listView>
	</kme:content>
</kme:page>
