<%--
Copyright 2011 The Kuali Foundation Licensed under the Educational Community
License, Version 2.0 (the "License"); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.

TODO Load time is slowing down as number of devices increases. Consider templates. 


--%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme" uri="http://kuali.org/mobility" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<spring:message code="push.devices" 	var="msgCat_ToolTitle"/>
<kme:page title="${msgCat_ToolTitle}" id="push-webapp" backButton="true" homeButton="true" cssFilename="push" jsFilename="push">
	<kme:content>
		<kme:listView id="deviceslist" filter="false" dataTheme="c" dataInset="false">
			
			<%-- Display device counts --%>
			<kme:listItem>				
				<h3><spring:message code="push.devices.total" />: <c:out value="${deviceCount}" /></h3>
				<%-- Display breakdown per device type --%>
				<c:forEach items="${deviceTypes}" var="deviceType">
					<p><c:out value="${deviceType}" /> <c:out value="${deviceCountMap[deviceType]}" />.</p>
				</c:forEach>
				<p><spring:message code="push.devices.withoutnetid" /> : <c:out value="${deviceNoUserCount}" /></p>
			</kme:listItem>
			
			<%-- Display all devices grouped by device type --%>
			<c:forEach items="${deviceTypes}" var="deviceType">
				<li data-role="list-divider" id="${deviceType}Devices"><c:out value="${deviceType}" /></li>
					<c:forEach items="${devicesMap[deviceType]}" var="device" varStatus="status">
						<kme:listItem hideDataIcon="false">
							<a href="${pageContext.request.contextPath}/device/detail/${device.deviceId}">
								<h3><c:out value="${device.deviceName}" /></h3>
								<c:choose>
									<c:when test="${not empty device.username}">
										<p class="wrap">
											<strong>
												<spring:message code="push.devices.username" /> : 
												<c:out value="${device.username}" />
											</strong>
										</p>
									</c:when>
									<c:otherwise>
										<p class="wrap">
											<strong>
												<spring:message code="push.devices.username" /> : 
												<span style="color:#990000">
													<spring:message code="push.devices.unregistered" />
												</span>
											</strong>
										</p>
									</c:otherwise>
								</c:choose>
								<p class="wrap">
									<strong>
										<spring:message code="push.devices.devid" /> : 
										<c:out value="${device.deviceId}" />
									</strong>
								</p>
								<p class="wrap">
									<spring:message code="push.devices.regid" /> : 
									<c:out value="${device.regId}" />
								</p>
							</a>
						</kme:listItem>
					</c:forEach>
			</c:forEach>
		</kme:listView>
	</kme:content>
</kme:page>