<%--
  Copyright 2011 The Kuali Foundation Licensed under the Educational Community
  License, Version 2.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License at
  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
  agreed to in writing, software distributed under the License is distributed
  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied. See the License for the specific language governing
  permissions and limitations under the License.
--%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>

<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme" uri="http://kuali.org/mobility" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<spring:message code="push.device.remove" var="msgCat_Remove"/>
<spring:message code="push.devices.purge.confirmation" var="msgCat_PurgeConfirmation"/>
<spring:message code="push.devices.purge.1month" var="msgCat_1month"/>
<spring:message code="push.devices.purge.3months" var="msgCat_3months"/>
<spring:message code="push.devices.purge.6months" var="msgCat_6months"/>
<spring:message code="push.devices.purge.1year" var="msgCat_1year"/>
<spring:message code="push.devices.purge.ios" var="msgCat_iOS"/>
<spring:message code="push.devices.purge.android" var="msgCat_Android"/>
<spring:message code="push.devices.purge.windows" var="msgCat_Windows"/>
<spring:message code="push.devices.purge.blackberry" var="msgCat_Blackberry"/>
<spring:message code="push.devices.purge.all" var="msgCat_AllDevices"/>
<spring:message code="push.devices.purge.title" var="msgCat_PurgeTitle"/>
<spring:message code="push.devices.purge.title.subtitle" var="msgCat_PurgeSubtitle"/>
<spring:message code="push.devices.purge.deleteby" var="msgCat_DeleteBy"/>
<spring:message code="push.devices.purge.deletebyusername" var="msgCat_DeleteByUsername"/>
<spring:message code="push.devices.purge.delete" var="msgCat_Delete"/>
<spring:message code="push.devices.purge.age" var="msgCat_Age"/>
<spring:message code="push.devices.purge.bulk.delete" var="msgCat_BulkDelete"/>

<kme:page title="${msgCat_title}" id="push-webapp" backButton="true" homeButton="true" cssFilename="push" jsFilename="push">
<script type="text/javascript">

function deleteDevices(key){
	var pgNative = $.cookie('native');
	var remove;
	if(pgNative == 'yes'){
		navigator.notification.confirm(
				'${msgCat_PurgeConfirmation}',  // message
				function(button){
					if(button == 1){

						console.log(key);
						if(key == 'username'){
							var data = "{\"type\":\"username\", \"username\":\"" + $('#username').val() + "\"}";			
						}else if(key == 'month'){
							var data = "{\"type\":\"month\"}";
						}else if(key == '3month'){
							var data = "{\"type\":\"3month\"}";			
						}else if(key == '6month'){
							var data = "{\"type\":\"6month\"}";			
						}else if(key == '1year'){
							var data = "{\"type\":\"1year\"}";			
						}else if(key == 'allios'){
							var data = "{\"type\":\"allios\"}";			
						}else if(key == 'allandroid'){
							var data = "{\"type\":\"allandroid\"}";			
						}else if(key == 'allwindows'){
							var data = "{\"type\":\"allwindows\"}";			
						}else if(key == 'allblackberry'){
							var data = "{\"type\":\"allblackberry\"}";			
						}else if(key == 'all'){
							var data = "{\"type\":\"all\"}";			
						}
						$.get('${pageContext.request.contextPath}/devices/delete?data=' + data, function(data) {
							console.log(data);
						});
						
					}
				},              // callback to invoke with index of button pressed
				'IU Mobile',            // title
				'${msgCat_Remove},${msgCat_Cancel}'          // buttonLabels
		);						
	}else{
		if(confirm("${msgCat_PurgeConfirmation}")){
			console.log(key);
			if(key == 'username'){
				var data = "{\"type\":\"username\", \"username\":\"" + $('#username').val() + "\"}";			
			}else if(key == 'month'){
				var data = "{\"type\":\"month\"}";
			}else if(key == '3month'){
				var data = "{\"type\":\"3month\"}";			
			}else if(key == '6month'){
				var data = "{\"type\":\"6month\"}";			
			}else if(key == '1year'){
				var data = "{\"type\":\"1year\"}";			
			}else if(key == 'allios'){
				var data = "{\"type\":\"allios\"}";			
			}else if(key == 'allandroid'){
				var data = "{\"type\":\"allandroid\"}";			
			}else if(key == 'allwindows'){
				var data = "{\"type\":\"allwindows\"}";			
			}else if(key == 'allblackberry'){
				var data = "{\"type\":\"allblackberry\"}";			
			}else if(key == 'all'){
				var data = "{\"type\":\"all\"}";			
			}
			$.get('${pageContext.request.contextPath}/devices/delete?data=' + data, function(data) {
				console.log(data);
			});
		}	
	}				
}


</script>

	<kme:content>
			<kme:listView id="senderForm" filter="false" dataTheme="c" dataInset="false">			
               	<kme:listItem>
                    <label>${msgCat_DeleteBy} ${msgCat_Age}:</label>
	                <input id="username" name="username" cols="40" rows="8" class="required" />
					<fieldset class="ui-grid-a">
						<div class="ui-block-b"><input data-theme="c" class="submit" type="submit" value="${msgCat_Delete}" onClick="deleteDevices('username'); return false;"/></div>
				    </fieldset>
		        </kme:listItem>
               	<kme:listItem>
	                <label>${msgCat_DeleteBy} ${msgCat_Age}:</label>
					<fieldset class="ui-grid-a">
						<div class="ui-block-a"><input data-theme="c" class="submit" type="submit" value="${msgCat_1month}" onClick="deleteDevices('month'); return false;"/></div>
						<div class="ui-block-b"><input data-theme="c" class="submit" type="submit" value="${msgCat_3months}" onClick="deleteDevices('3month'); return false;"/></div>
				    </fieldset>
					<fieldset class="ui-grid-a">
						<div class="ui-block-a"><input data-theme="c" class="submit" type="submit" value="${msgCat_6months}" onClick="deleteDevices('6month'); return false;"/></div>
						<div class="ui-block-b"><input data-theme="c" class="submit" type="submit" value="${msgCat_1year}" onClick="deleteDevices('1year'); return false;"/></div>
				    </fieldset>
               	</kme:listItem>
               	<kme:listItem>
	                <label>${msgCat_BulkDelete}:</label>
					<fieldset class="ui-grid-a">
						<div class="ui-block-a"><input data-theme="c" class="submit" type="submit" value="${msgCat_iOS}" onClick="deleteDevices('allios'); return false;"/></div>
						<div class="ui-block-b"><input data-theme="c" class="submit" type="submit" value="${msgCat_Android}" onClick="deleteDevices('allandroid'); return false;"/></div>
				    </fieldset>
					<fieldset class="ui-grid-a">
						<div class="ui-block-a"><input data-theme="c" class="submit" type="submit" value="${msgCat_Windows}" onClick="deleteDevices('allwindows'); return false;"/></div>
						<div class="ui-block-b"><input data-theme="c" class="submit" type="submit" value="${msgCat_Blackberry}" onClick="deleteDevices('allblackberry'); return false;"/></div>
				    </fieldset>
					<fieldset class="ui-grid-a">
						<div class="ui-block-b"><input data-theme="a" class="submit" type="submit" value="${msgCat_AllDeivces}" onClick="deleteDevices('all'); return false;"/></div>
				    </fieldset>
               	</kme:listItem>
			</kme:listView>			
	</kme:content>
</kme:page>