<%--
  Copyright 2011 The Kuali Foundation Licensed under the Educational Community
  License, Version 2.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License at
  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
  agreed to in writing, software distributed under the License is distributed
  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied. See the License for the specific language governing
  permissions and limitations under the License.
--%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>

<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme" uri="http://kuali.org/mobility" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<spring:message code="push.devices.search.title" var="title"/>

<kme:page title="${title}" id="device-webapp" backButton="true" homeButton="true" cssFilename="push" jsFilename="device">
	<script type="text/javascript">
		$(document).on('taphold', '#keyword', function() {
			$('#tooltip').popup('open', {positionTo:'#keyword'});
		});	

		function onKeyUp(){
			var keyword = $("#keyword").val();
			if(keyword.length > 2){
				search(keyword);		
			}else{
				$('#results').html("<li><spring:message code="push.devices.search.at.least.three"/></li>").listview('refresh')
			}	
		}
		
		function search(keyword){
			$('#toolTemplate').template('toolTemplate');
			refreshTemplate("${pageContext.request.contextPath}/device/keyword/" + keyword, '#results', 'toolTemplate', '<li><spring:message code="push.devices.search.none.found"/></li>', function() {$('#results').listview('refresh');});		
	    }        

		function onPopupClose(){
			console.log("Did close popup.");
		}	
	</script>
	
 	<script id="toolTemplate" type="text/x-jquery-tmpl">
		<li>\${total}</li>
		{{each \$data.devices}}
        	<li  data-theme="c">
       			<a href="${pageContext.request.contextPath}/device/detail/\${deviceId}">
      				<h3>\${deviceName}</h3>
					{{if username}}								
	      				<p class="wrap"><strong>Username: <font style="color:#990000">\${username}</font></strong></p>											
					{{else}}
    	  				<p class="wrap"><strong>Username: <font style="color:#990000"><spring:message code="push.devices.unregistered"/></font></strong></p>										
					{{/if}}
					<p class="wrap"><strong>Dev ID: \${deviceId}</strong></p>
					<p class="wrap">Reg ID: \${regId}</p>
				</a>
		    </li>
		{{/each}}
	</script>
	
	<kme:content>
		<ul style="padding-bottom:14px;" data-role="listview" id="search" data-theme="b" data-inset="false" data-filter="false">
           	<li>
         		<input type="search" data-mini="true" name="keyword" id="keyword" autocorrect="off" autocapitalize="off" onchange="onKeyUp();")/>
         	</li>
		</ul>		
		<kme:listView id="results" filter="false" dataTheme="c" dataInset="false">
		</kme:listView>
	</kme:content>

 	<kme:popup id="tooltip" dataTheme="e" dismissible="true" style="max-width:280px" onClick="onPopupClose();">
     	<p>
    		<strong>Usage:</strong></p>
		<p>
			<strong>Simple Search</strong><br>
			Keyword = "jsmith ipad"<br></p>
		<p>
			<strong>Parameterized Search</strong><br>
			Username = "user:jsmith"<br>
			Device Name = "device:ipad"<br>
			Device Type = ":ios" or ":android"<br></p>
		<p>
			<strong>Combined Search</strong><br>
			"user:jsmith device:Bonk :android"<br>
			"u:jsmith d:Bonk :a"</p>
	</kme:popup>
</kme:page>
