<%--
  Copyright 2011 The Kuali Foundation Licensed under the Educational Community
  License, Version 2.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License at
  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
  agreed to in writing, software distributed under the License is distributed
  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied. See the License for the specific language governing
  permissions and limitations under the License.
--%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme" uri="http://kuali.org/mobility" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<spring:message code="push.history" 	var="msgCat_ToolTitle"/>
<kme:page title="${msgCat_ToolTitle}" id="push-webapp" backButton="true" homeButton="true" cssFilename="push" jsFilename="push">

	<kme:content>
		<kme:listView id="pushForm" filter="false" dataTheme="c" dataInset="false">
			<kme:listItem hideDataIcon="false">
				<spring:message code="push.history.total" />: ${pushCount}
			</kme:listItem>

			<c:if test="${not empty pastPushes}">	
				<li data-role="list-divider"><spring:message code="push.history.past" /></li>
				<c:forEach items="${pastPushes}" var="pastPush" varStatus="status">
					<kme:listItem hideDataIcon="false">
<%--					<c:if test="${not empty pastPush.url}">
							<a href="${pastPush.url}">
						</c:if>
 --%>
 							<a href="${pageContext.request.contextPath}/push/detail/${pastPush.pushId}">
 								<h3><c:out value="${pastPush.title}" /></h3>
								<p class="wrap"><strong>Message: <c:out value="${pastPush.message}" /></strong></p>
								<c:if test="${not empty pastPush.url}">
									<p class="wrap"><strong><spring:message code="push.message.url"/> : <c:out value="${pastPush.url}" /></strong></p>
								</c:if>
								<p><spring:message code="push.history.totalrecipients" /> : <c:out value="${pastPush.recipients}" /></p>
								<p><spring:message code="push.history.sender" />: <c:out value="${pastPush.sender}" /></p>
								<p class="wrap"><spring:message code="push.history.postedTime" /> : <c:out value="${pastPush.postedTimestamp}" /></p>
							</a>
<%--					<c:if test="${not empty pastPush.url}">
							</a>
						</c:if>
 --%>					</kme:listItem>
				</c:forEach>
			</c:if>
			
		</kme:listView>
	</kme:content>
</kme:page>