<%--
  Copyright 2011 The Kuali Foundation Licensed under the Educational Community
  License, Version 2.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License at
  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
  agreed to in writing, software distributed under the License is distributed
  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied. See the License for the specific language governing
  permissions and limitations under the License.
--%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>

<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme" uri="http://kuali.org/mobility" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<kme:page title="Notification Preferences" id="push-webapp" backButton="true" backButtonURL="${pageContext.request.contextPath}/settings" homeButton="true" cssFilename="push" jsFilename="push">
	<kme:content>

<script type="text/javascript" charset="utf-8">

//	var username = "${cookie.currentNetworkId.value}";
	var username = "${username}";
	
	function updatePreference(id, enabled){
		console.log("Will set " + username + "'s preference for " + id + " to " + (enabled ? "true" : "false") );
		if(username != ""){
			var registerHost = '${pageContext.request.contextPath}/pushprefs/save?data={username:"' + username + '",senderId:"' + id + '",enabled:' + enabled + '}';
			console.log(registerHost);
			$.get(registerHost, function(data){
				console.log("PREF SENT to SERVER: " + data);			
			});
		}
	}

	function toggle(id){
		if(username != ""){	
			var current = $("#"+id+"").attr("src");
			if(current == "${pageContext.request.contextPath}/images/yes.png"){
				$("#"+id+"").attr("src", "${pageContext.request.contextPath}/images/no.png");
				updatePreference(id, false);		
			}else{
				$("#"+id+"").attr("src", "${pageContext.request.contextPath}/images/yes.png");			
				updatePreference(id, true);		
			}
		}
	}

	$(function() {
		console.log("Did fire ready.");
		if(username != ""){		
			var registerHost = "${pageContext.request.contextPath}/pushprefs/get?username=" + username;
			$.get(registerHost, function(data){
				var prefs =	jQuery.parseJSON(data);		
				var length = prefs.preferences.length;
				for(var i = 0; i < length; i++){
					if(!prefs.preferences[i].enabled){
						$("#"+prefs.preferences[i].pushSenderID+"").attr("src", "${pageContext.request.contextPath}/images/no.png");					
					}				
				}
			});
		}
	});

</script>

			<kme:listView id="sendersList" filter="false" dataTheme="c" dataInset="false">
				<c:if test="${empty username}">	
					<li data-theme="c">
						<a href="${pageContext.request.contextPath}/mocklogin">
						<h3 style="white-space:normal">Login</h3>
						<p style="white-space:normal"><strong>Once you've logged in, you will be able to customize and save your notification preferences.</strong></p>
						</a>
					</li>				
					<li data-role="list-divider"/>
				</c:if>			
				<c:if test="${not empty senders}">	
			        <c:forEach items="${senders}" var="sender" varStatus="status">	            
						<li data-icon="false" data-theme="c">
							<a href="#" style="padding-left: 70px;" onClick="toggle('${sender.id}');">
								<img src="${pageContext.request.contextPath}/images/yes.png" style="left:8px; top:1.3em; height:40px; padding-left:5px" class="playimage" id="${sender.id}"/>
								<h3  style="white-space:normal">${sender.name}</h3>
								<p style="white-space:normal"><strong>${sender.description}</strong></p>
							</a>
						</li>
					</c:forEach>              
				</c:if>	
			</kme:listView>
	</kme:content>
</kme:page>
