<%--
  Copyright 2011 The Kuali Foundation Licensed under the Educational Community
  License, Version 2.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License at
  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
  agreed to in writing, software distributed under the License is distributed
  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied. See the License for the specific language governing
  permissions and limitations under the License.
--%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme" uri="http://kuali.org/mobility" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<spring:message code="push.detail.title" 	var="title"/>

<kme:page title="${title}" id="push-webapp" backButton="true" homeButton="true" cssFilename="push" jsFilename="push">
	<kme:content>
			<kme:listView id="deviceslist" filter="false" dataTheme="c" dataInset="false">
				<kme:listItem hideDataIcon="false">
					<c:if test="${not empty thispush.url}">
						<a href="${thispush.url}">
					</c:if>
					<h3><c:out value="${thispush.title}" /></h3>
					<p class="wrap"><c:out value="${thispush.message}" /></p>
					<c:if test="${not empty thispush.url}">
						<p class="wrap">
							<strong>
								<spring:message code="push.message.url" />: 
								<c:out value="${thispush.url}" />
							</strong>
						</p>
					</c:if>
					<p>
						<spring:message code="push.history.totalrecipients" /> : 
						<c:out value="${thispush.recipients}" />
					</p>
					<p>
						<spring:message code="push.history.sender" /> : 
						<c:out value="${thispush.sender}" />
					</p>
					<p class="wrap">
						<spring:message code="push.history.postedTime" /> :
						<c:out value="${thispush.postedTimestamp}" />
					</p>
					<c:if test="${not empty thispush.url}">
						</a>
					</c:if>
				</kme:listItem>
				
				<c:if test="${isAdminMember == 'yes'}">
					<kme:listItem hideDataIcon="false">
							<a data-role="button" data-theme="a" id="remove" href="${pageContext.request.scheme}://${pageContext.request.serverName}:${pageContext.request.serverPort}${pageContext.request.contextPath}/push/remove/${thispush.pushId}">
								<spring:message code="push.message.remove" />
							</a>					
					</kme:listItem>
				</c:if>			
				
				<li data-role="list-divider">
					<spring:message code="push.history.totalrecipients" /> : ${thispush.recipients}
				</li>

				<c:if test="${not empty thesedevices}">	
					<c:forEach items="${thesedevices}" var="thisDevice" varStatus="status">
						<kme:listItem hideDataIcon="false">	  
							<a href="${pageContext.request.contextPath}/device/detail/${thisDevice.deviceId}">
								<h3><c:out value="${thisDevice.deviceName}" /></h3>
								<c:choose>	
									<c:when test="${!empty thisDevice.username}">
										<p class="wrap">
											<strong>
												<spring:message code="push.devices.username" /> : 
												<c:out value="${thisDevice.username}" />
											</strong>
										</p>
									</c:when>
									<c:otherwise>
										<p class="wrap">
											<strong>
												<spring:message code="push.devices.username" /> : 
												<span style="color:#990000"><spring:message code="push.devices.unregistered" /></span>
											</strong>
										</p>
									</c:otherwise>
								</c:choose>
								<p class="wrap">
									<strong>
										<spring:message code="push.devices.devid" /> : 
										<c:out value="${thisDevice.deviceId}" />
									</strong>
								</p>
								<p class="wrap">
									<spring:message code="push.devices.regid" /> : 
									<c:out value="${thisDevice.regId}" />
								</p>
							</a>
						</kme:listItem>
					</c:forEach>
				</c:if>
			</kme:listView>
	</kme:content>
</kme:page>