<%--
  Copyright 2011 The Kuali Foundation Licensed under the Educational Community
  License, Version 2.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License at
  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
  agreed to in writing, software distributed under the License is distributed
  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied. See the License for the specific language governing
  permissions and limitations under the License.
--%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>

<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme" uri="http://kuali.org/mobility" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<kme:page title="Edit Sender" id="push-webapp" backButton="true" homeButton="true" cssFilename="push" jsFilename="push">
<script type="text/javascript">
function showConfirmDelete(loc){
	var pgNative = $.cookie('native');
	var remove;
	if(pgNative == 'yes'){
		navigator.notification.confirm(
				'Are you sure you want to delete this sender account, this CANNOT be undone?',  // message
				function(button){
					if(button == 1){
						window.location = loc;
					}
				},              // callback to invoke with index of button pressed
				'IU Mobile',            // title
				'Remove,Cancel'          // buttonLabels
		);						
	}else{
		if(confirm("Are you sure you want to delete this sender account, this CANNOT be undone?")){
			window.location = loc;
		}	
	}				
}

function getSenderKey(){
	$.get('${pageContext.request.contextPath}/pushsenders/createkey', function(data) {
		console.log(data);
		$('input[id=senderKey]').val(data);
	});
}


</script>

	<kme:content>



        <form:form action="${pageContext.request.contextPath}/pushsenders" commandName="sender" data-ajax="false" method="post"> 
			<input type="hidden" name="id" value="${sender.id}"/>
			
			<kme:listView id="senderForm" filter="false" dataTheme="c" dataInset="false">			
            	<kme:listItem>                
                    <label for="name">Name:</label>
                    <form:input path="name" cols="40" rows="8" class="required" />
                    <form:errors path="name"/>
		        </kme:listItem>                

               	<kme:listItem>
                    <label for="shortName">Short Name:</label>
                    <form:input path="shortName" cols="40" rows="8" class="required" />
                    <form:errors path="shortName"/>
		        </kme:listItem>

               	<kme:listItem>
                    <label for="description">Description:</label>
                    <form:textarea path="description" cols="40" rows="8" class="required" />
                    <form:errors path="description"/>
		        </kme:listItem>

               	<kme:listItem>
                    <label for="senderKey">Sender Key:</label>
		                    <form:input path="senderKey" cols="40" rows="8" class="required" />
    		                <form:errors path="senderKey"/>
			        <fieldset data-role="controlgroup" data-theme="c">			    	    					        
        		            <button data-role="button" data-inline="true" data-theme="c" data-icon="refresh" onClick="getSenderKey(); return false;">New Key</button>
					</fieldset>
		        </kme:listItem>

               	<kme:listItem>
               			<label style="margin-top:10px;" for="hidden">Hidden:</label>
			            <fieldset data-role="controlgroup" data-theme="c">			    	    					
			                <form:radiobutton data-theme="c" path="hidden" value="1" label="Users may NOT block notifications." />
			                <form:radiobutton data-theme="c" path="hidden" value="0"  label="Users may block Notifications." />
						</fieldset>
		        </kme:listItem>




               	<kme:listItem>
				<fieldset class="ui-grid-a">
						<div class="ui-block-a"><a href="${pageContext.request.contextPath}/pushsenders" data-role="button" data-theme="c" id="clear">Cancel</a></div>
						<div class="ui-block-b"><input data-theme="a" class="submit" type="submit" value="Save"/></div>
			    </fieldset>
				<fieldset class="ui-grid-a">
						<div class="ui-block-a"><button data-theme="c" id="remove" onClick="showConfirmDelete('${pageContext.request.scheme}://${pageContext.request.serverName}:${pageContext.request.serverPort}${pageContext.request.contextPath}/pushsenders/remove/${sender.id}');return false;">Delete</button></div>
<%-- 						<div class="ui-block-a"><a href="${pageContext.request.contextPath}/pushsenders/remove/${sender.id}" data-role="button" data-theme="c" id="clear">Delete</a></div>
 --%>			    </fieldset>

               	</kme:listItem>
			</kme:listView>			
        </form:form>


	</kme:content>
</kme:page>
