<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="kme3" uri="http://kuali.org/mobility/v3.0" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<spring:message code="academics.gradeAlerts" var="msgGradeAlertsTitle"/>
<spring:message code="academics.gradeAlerts.label" var="msgGradeAlertsLabel"/>
<spring:message code="academics.gradeAlerts.msg" var="msgGradeAlertsMsg"/>
<spring:message code="academics.gradeAlerts.warning" var="msgGradeAlertsWarning"/>
<spring:message code="academics.gradeAlerts.notice1" var="msgGradeAlertsNotice1"/>
<spring:message code="academics.gradeAlerts.notice2" var="msgGradeAlertsNotice2"/>
<spring:message code="academics.gradeAlerts.notice3" var="msgGradeAlertsNotice3"/>
<spring:message code="academics.gradeAlerts.android" var="msgGradeAlertsAndroid"/>
<spring:message code="academics.gradeAlerts.androidUrl" var="msgGradeAlertsAndroidUrl"/>
<spring:message code="academics.gradeAlerts.ios" var="msgGradeAlertsIos"/>
<spring:message code="academics.gradeAlerts.iosUrl" var="msgGradeAlertsIosUrl"/>
<spring:message code="academics.gradeAlerts.msgOn" var="msgGradeAlertsMsgOn"/>
<spring:message code="academics.gradeAlerts.msgOff" var="msgGradeAlertsMsgOff"/>
<spring:message code="academics.gradeAlerts.msgFail" var="msgGradeAlertsMsgFail"/>
<spring:message code="academics.title" var="msgAcademicsTitle"/>
<spring:message code="academics.scheduleOfClasses" var="msgAcademicsScheduleOfClasses"/>
<spring:message code="academics.classSchedule" var="msgAcademicsClassSchedule"/>
<spring:message code="academics.classSearch" var="msgAcademicsClassSearch"/>
<spring:message code="academics.gradeAlerts" var="msgAcademicsGradeAlerts"/>
<spring:message code="academics.gradeAlerts.testButton" var="msgAcademicsGradeAlertsTestButton"/>
<spring:message code="academics.gradeAlerts.testMsg0" var="testMsg0"/>
<spring:message code="academics.gradeAlerts.testMsg1" var="testMsg1"/>
<spring:message code="academics.gradeAlerts.testMsg2" var="testMsg2"/>
<spring:message code="academics.gradeAlerts.testMsg12" var="testMsg12"/>
<spring:message code="academics.gradeAlerts.androidSupportUrl" var="msgGradeAlertsAndroidSupportUrl"/>
<spring:message code="academics.gradeAlerts.iosSupportUrl" var="msgGradeAlertsIosSupportUrl"/>

<kme3:page title="${msgGradeAlertsTitle}" toolName="academics" ngAppName="gradeAlertsApp"
           ngControllerName="GradeAlertsController" ngInitFunction="init" backFunction="kmeNavLeft"
           cssFilename="academics" jsFilename="">
    <div id="theContentArea" class="main-view" ng-view="">
        <div class="list-group">
            <div class="list-group-item">
                <p>${msgGradeAlertsMsg}</p>
                <p>&nbsp;</p>


                <form name="gradeAlertForm" ng-controller="GradeAlertsController">
                    <div style="text-align:center">
                        <label for="gradeAlertBt" style="font-weight:bold">${msgGradeAlertsLabel}</label><br/>
                        <button type="button" id="gradeAlertBt" class="btn btn-primary" ng-model="gradeAlertOpt"
                                btn-checkbox
                                btn-checkbox-true="'on'" btn-checkbox-false="'off'"
                                ng-change="update()">
                            {{gradeAlertOpt == 'on' && 'Yes' || 'No'}}
                        </button>
                    </div>
                    <br/>
                    <span id="updateResult">{{updateResult}}</span>

                    <div ng-show="isNative">
                        <div style="text-align:center">
                            <button ng-show="gradeAlertOpt == 'on'" type="submit" class="btn btn-kme"
                                    ng-click="gradeAlertTest()">${msgAcademicsGradeAlertsTestButton}</button>
                        </div>
                        <br/>

                        <p ng-show="gradeAlertOpt == 'on'"><span id="testResult0" ng-show="testResult=='0'">${testMsg0}</span>
                            <span id="testResult1" ng-show="testResult=='1'">${testMsg1}</span>
                            <span id="testResult2" ng-show="testResult=='2'">${testMsg2}</span>
                            <span id="testResult12" ng-show="testResult=='1' || testResult=='2'">
                                <a href="<c:out value="${msgGradeAlertsAndroidSupportUrlUrl}"/>"> ${msgGradeAlertsAndroid} </a>${msgGradeAlertsNotice2}
                                <a href="<c:out value="${msgGradeAlertsIosSupportUrlUrl}"/>"> ${msgGradeAlertsIos} </a>${testMsg12}</span>
                        </p>
                    </div>
                </form>


                <div><em>
                    <p><c:out value="${msgGradeAlertsWarning}"/></p><br>
                    <p><c:out value="${msgGradeAlertsNotice1}"/>
                    <a href="<c:out value="${msgGradeAlertsAndroidUrl}"/>">${msgGradeAlertsAndroid}</a> ${msgGradeAlertsNotice2}
                    <a href="<c:out value="${msgGradeAlertsIosUrl}"/>">${msgGradeAlertsIos}</a> ${msgGradeAlertsNotice3}</p>
                </em></div>

            </div>
        </div>
    </div>
    <script type="text/javascript">
        var gradeAlertsApp = angular.module("gradeAlertsApp", ['ngSanitize', 'ui.bootstrap'])

        gradeAlertsApp.controller("GradeAlertsController", function ($scope, $http, $log) {
                $scope.init = function () {
                $scope.gradeAlertOpt = "<c:out value="${gradeAlertOpt}"/>";
                $scope.isNative = ${isNative and (platform == 'Android' or platform == 'iOS')};
                $scope.testResult = '-1';
                var menuItems = "{\"menus\": ["+
                        "{ \"url\":\"/academics\" , \"label\":\"<c:out value="${msgAcademicsTitle}"/>\" },"+
                        "{\"divider\":\"true\"},"+
                        "{ \"url\":\"/academics/terms\" , \"label\":\"<c:out value="${msgAcademicsScheduleOfClasses}"/>\" },"+
                        "{ \"url\":\"/myAcademics\" , \"label\":\"<c:out value="${msgAcademicsClassSchedule}"/>\" },"+
                        "{ \"url\":\"/academics/search\" , \"label\":\"<c:out value="${msgAcademicsClassSearch}"/>\" },"+
                        "{ \"url\":\"/myAcademics/gradeAlerts\" , \"label\":\"<c:out value="${msgAcademicsGradeAlerts}"/>\" },"+
                        "{\"divider\":\"true\"},"+
                        "{ \"url\":\"/preferences\" , \"label\":\"Preferences\" }"+
                        "]}";

                $scope.menuItems = eval ("(" + menuItems + ")");
            }

            $scope.update = function () {
                $http({
                    method: 'GET',
                    url: '<c:out value="${pageContext.request.contextPath}"/>/services/myAcademics/updateGradeAlertOpt?_type=json&opt=' + $scope.gradeAlertOpt
                }).success(function (data, status, headers, config) {
                            if (data === true || data === 'true') {
                                // Not display the successful result
                                $scope.updateResult = "";
                            }
                            else {
                                $scope.updateResult = "<c:out value="${msgGradeAlertsMsgFail}"/>";
                            }

                        }).error(function (data, status, headers, config) {
                            $scope.updateResult = "<c:out value="${msgGradeAlertsMsgFail}"/>";
                        });
            }

            $scope.gradeAlertTest = function() {
                $http({
                    method: 'GET',
                    url: '<c:out value="${pageContext.request.contextPath}"/>/services/myAcademics/testGradeAlert'
                }).success(function (data, status, headers, config) {
                    $scope.testResult = data;
                }).error(function (data, status, headers, config) {
                    $scope.testResult = '0';
                });
            }

            $scope.kmeNavLeft = function () {
                window.history.back();
            }
        });

    </script>
</kme3:page>


