<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<div ng-init="init()">
	
	<div class="list-group">
		<div class="list-group-item">
			<h3>{{searchResultData.subjectId}} {{searchResultData.catalogNumber}} {{searchResultData.number}} {{searchResultData.type}}</h3>
			<p>{{searchResultData.courseTitle}}</p>
			<p>{{searchResultData.classTopic}}</p>
			<p>{{searchResultData.grade}}</p>
		</div>
		<div ng-model="resultSection" ng-show="showSection" class="list-group-item">
			<b style="float:left; margin-right:5px;">Status</b><p>{{searchResultData.availableSeats}} {{searchResultData.enrollmentStatus}}</p>
			<b style="float:left; margin-right:5px;">Units</b><p>{{searchResultData.creditHours}}</p>
			<b style="float:left; margin-right:5px;">Start/End</b><p>{{searchResultData.startDate}} - {{searchResultData.endDate}}</p>
			<div ng-repeat="meeting in callArrayCheck(searchResultData.meeting)">
				<b style="float:left; margin-right:5px;">Time <b ng-if="isArray(searchResultData.meeting)">{{$index}}</b></b><p>{{meeting.days}} {{meeting.times}}</p>
				<b style="float:left; margin-right:5px;">Location <b ng-if="isArray(searchResultData.meeting)">{{$index}}</b></b><p>{{meeting.location}}</p>
				<b style="float:left; margin-right:5px;">Instructor <b ng-if="isArray(searchResultData.meeting)">{{$index}}</b></b><div class="inlineDiv"><p ng-repeat="instructor in callArrayCheck(meeting.instructor)">{{instructor}}</p></div>
			</div>
		</div>
		<div ng-model="resultDescription" ng-show="showDescription" class="list-group-item">
			<h3>Course Description</h3>
			<p>{{searchResultData.courseDescription}}</p>
		</div>
		<div ng-model="resultDetails" ng-show="showDetails" class="list-group-item">
			<h3>Course Details</h3>
			<p>{{searchResultData.additionalInfo}}</p>
		</div>
	</div>
	<div class="footer"><button class="btn btn-kme" ng-click="sectionClick()">Section</button><button class="btn btn-kme" ng-click="descriptionClick()">Description</button><button class="btn btn-kme" ng-click="detailsClick()">Details</button></div>
</div>