<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="kme3" uri="http://kuali.org/mobility/v3.0"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<spring:message code="push.devices.management.title" var="msgCat_Title"/>
<spring:message code="push.devices.management.search" var="msgCat_SearchDevices"/>

<spring:message code="push.devices.search.at.least.three" var="msgCat_AtLeast3"/>
<spring:message code="push.devices.search.none.found" var="msgCat_NoneFound"/>

<spring:message code="push.device.devid" var="msgCat_DevId"/>
<spring:message code="push.device.regid" var="msgCat_RegID"/>
<spring:message code="push.device.registrationDate" var="msgCat_RegDate"/>
<spring:message code="push.device.type" var="msgCat_DevType"/>
<spring:message code="push.devices.username" var="msgCat_Username"/>
<spring:message code="push.device.remove" var="msgCat_Remove"/>
<spring:message code="push.device.cancel" var="msgCat_Cancel"/>
<spring:message code="push.message.send" var="msgCat_SendPush"/>

<spring:message code="push.devices" var="msgCat_Devices"/>

<spring:message code="push.devices.purge.confirmation" var="msgCat_PurgeConfirmation"/>
<spring:message code="push.devices.purge.1month" var="msgCat_1month"/>
<spring:message code="push.devices.purge.3months" var="msgCat_3months"/>
<spring:message code="push.devices.purge.6months" var="msgCat_6months"/>
<spring:message code="push.devices.purge.1year" var="msgCat_1year"/>
<spring:message code="push.devices.purge.ios" var="msgCat_iOS"/>
<spring:message code="push.devices.purge.android" var="msgCat_Android"/>
<spring:message code="push.devices.purge.windows" var="msgCat_Windows"/>
<spring:message code="push.devices.purge.blackberry" var="msgCat_Blackberry"/>
<spring:message code="push.devices.purge.all" var="msgCat_AllDevices"/>
<spring:message code="push.devices.purge.title" var="msgCat_PurgeTitle"/>
<spring:message code="push.devices.purge.title.subtitle" var="msgCat_PurgeSubtitle"/>
<spring:message code="push.devices.purge.deleteby" var="msgCat_DeleteBy"/>
<spring:message code="push.devices.purge.deletebyusername" var="msgCat_DeleteByUsername"/>
<spring:message code="push.devices.purge.delete" var="msgCat_Delete"/>
<spring:message code="push.devices.purge.age" var="msgCat_Age"/>

<spring:message code="push.devices.search.title" var="msgCat_SearchTitle"/>
<spring:message code="push.devices.search.subtitle" var="msgCat_SearchSubtitle"/>


<kme3:page title="${msgCat_Title}" toolName="devices" ngAppName="devicesApp" ngControllerName="DevicesController" ngInitFunction="init" backFunction="kmeNavLeft"  cssFilename="devices" jsFilename="devices">
<div id="theContentArea" class="main-view" ng-view="">
	<div class="alert alert-danger" ng-repeat="error in errors.error">
		{{error.name}}
	</div>


	<div id="mainDevicePage" class="list-group inset-content-10px" ng-show="showMainDevicePage" ng-init="showMainDevicePage=true">
		<a ng-click="showPurgePage()" class="list-group-item">
			<h5 class="list-group-item-heading">${msgCat_PurgeTitle} <div class="glyphicon glyphicon-chevron-right pull-right"></div></h5>
			<p class="list-group-item-text">${msgCat_PurgeSubtitle}</p>	
		</a>		
		<a ng-click="showSearchPage()" class="list-group-item">
			<h5 class="list-group-item-heading">${msgCat_SearchTitle} <div class="glyphicon glyphicon-chevron-right pull-right"></div></h5>
			<p class="list-group-item-text">${msgCat_SearchSubtitle}</p>	
		</a>				
	</div>


	<div id="purgeDevicesPage" class="list-group inset-content-10px" ng-show="showPurgeDevicesPage" ng-init="showPurgeDevicesPage=false">
	    <form>
	    	<input type="hidden" id="inputId" name="inputId" ng-model="inputId">

	        
	        <div class="form-group">	        
	            <label for="inputUsername">${msgCat_DeleteByUsername}</label>
	            <div class="input-group">
	                <input type="text" class="form-control" id="inputUsername" ng-model="inputUsername" placeholder="${msgCat_Username}" autocapitalize="none">
	                  <span class="input-group-btn">
        				<button class="btn btn-kme" type="button" ng-click="deleteDevice('username')" ng-disabled="!(inputUsername)">${msgCat_Delete}</button>
				      </span>
	            </div>
	        </div>
	        	        
	        <div class="form-group">	        
	            <label for="inputUsername">${msgCat_DeleteBy}</label>
					<div class="btn-group">
					  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
					    ${msgCat_Age} <span class="caret"></span>
					  </button>
					  <ul class="dropdown-menu" role="menu">
					    <li><a href="#" ng-click="deleteDevice('1month')"> ${msgCat_1month}</a></li>
					    <li><a href="#" ng-click="deleteDevice('3month')"> ${msgCat_3months}</a></li>
					    <li><a href="#" ng-click="deleteDevice('6month')"> ${msgCat_6months}</a></li>
					    <li><a href="#" ng-click="deleteDevice('1year')"> ${msgCat_1year}</a></li>
					  </ul>
					</div>				
	        </div>

	        <div class="form-group">	        
	            <label for="inputUsername">${msgCat_DeleteBy}</label>
					<div class="btn-group">
					  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
					    ${msgCat_DevType} <span class="caret"></span>
					  </button>
					  <ul class="dropdown-menu" role="menu">
					    <li><a href="#" ng-click="deleteDevice('allios')"> ${msgCat_iOS} </a></li>
					    <li><a href="#" ng-click="deleteDevice('allandroid')"> ${msgCat_Android} </a></li>
					    <li><a href="#" ng-click="deleteDevice('allblackberry')"> ${msgCat_Blackberry}</a></li>
					    <li><a href="#" ng-click="deleteDevice('allwindows')"> ${msgCat_Windows}</a></li>
					    <li class="divider"></li>
					    <li><a href="#" ng-click="deleteDevice('all')"> ${msgCat_AllDevices}</a></li>
					  </ul>
					</div>
	        </div>


	        <div class="form-group pull-right">
		        <a class="btn btn-kme" ng-click="cancelDelete()">${msgCat_Cancel}</a>
	        </div>
	    </form>
	</div>

		
	<div id="searchDevicesPage" class="list-group inset-content-10px" ng-show="showSearchDevicesPage" ng-init="showSearchDevicesPage=false">
		<div class="input-group">
	    	<span class="input-group-addon"><div class="glyphicon glyphicon-search pull-right"></div></span>
			<input type="text" class="form-control" ng-model="searchKeyword" ng-change="onKeywordChange()" placeholder="${msgCat_SearchDevices}">
			<span class="input-group-btn">
		        <button class="btn btn-default" type="button" ng-click="clearSearch()"><span class="glyphicon glyphicon-remove"></span></button>
      		</span>
		</div>		
		<div class="list-group" style="margin-top: 10px;" ng-show="!showSearchResults" ng-cloak>
			<div class="list-group-item">
				<h5 class="list-group-item-heading">${msgCat_AtLeast3}</h5>
			</div>
			<div class="list-group-item">
				<p>
					<strong>Simple Search</strong><br>
					Keyword = "jsmith ipad"<br></p>
				<p>
					<strong>Parameterized Search</strong><br>
					Username = "user:jsmith"<br>
					Device Name = "device:ipad"<br>
					Device Type = ":ios" or ":android"<br></p>
				<p>
					<strong>Combined Search</strong><br>
					"user:jsmith device:Bonk :android"<br>
					"u:jsmith d:Bonk :a"</p>				
			</div>
		</div>		
		<div class="list-group" style="margin-top: 10px;" ng-show="!searchResults.length && showSearchResults" ng-cloak>
			<div class="list-group-item">
				<h5 class="list-group-item-heading">${msgCat_NoneFound}</h5>
			</div>
		</div>	
		<div class="list-group" style="margin-top: 10px;" ng-show="searchResults.length && showSearchResults" ng-cloak>
			<a ng-click="detailDevicePage(result)" class="list-group-item" ng-repeat="result in searchResults">
				<h5 class="list-group-item-heading">{{result.deviceName}}<div class="glyphicon glyphicon-chevron-right pull-right"></div></h5>
				${msgCat_Username}: <span style="color:darkred;">{{result.username | nullUsername}}</span>
			</a>
		</div>
	</div>
	
	
	
	<div id="deviceDetailPage" class="list-group inset-content-10px" ng-show="showDeviceDetailPage" ng-init="showDeviceDetailPage=false">
		<div class="list-group" style="margin-top: 10px;">
		    <div class="list-group-item list-header"><h5 class="list-group-item-heading">{{detailDeviceName}}</h5></div>
			<div class="list-group-item">
				<h5 class="list-group-item-heading">${msgCat_Username}</h5>
				<span style="color:darkred;">{{detailUsername | nullUsername}}</span>
			</div>
			<div class="list-group-item">
				<h5 class="list-group-item-heading">${msgCat_DevType}</h5>
				{{detailDeviceType}}
			</div>

			<div class="list-group-item">
				<h5 class="list-group-item-heading">${msgCat_DevId}</h5>
				{{detailDevId}}
			</div>
			<div class="list-group-item">
				<h5 class="list-group-item-heading">${msgCat_RegId}</h5>
				{{detailRegId}}
			</div>
			<div class="list-group-item">
				<h5 class="list-group-item-heading">${msgCat_RegDate}</h5>
				{{detailRegDate | date:'medium'}}
			</div>
		</div>
		<div class="list-group" style="margin-top: 10px;">		
	        <div class="form-group pull-right">
   		        <a class="btn btn-default" ng-click="kmeNavLeft()">${msgCat_Cancel}</a>
		        <a class="btn btn-default" ng-click="removeDevice()">${msgCat_Remove}</a>
		        <a class="btn btn-kme" ng-click="sendPush()">${msgCat_SendPush}</a>
	        </div>
		</div>
	</div>
	
	
	
</div>
</kme3:page>