<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="application/javascript; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<spring:message code="mdot.pageTitle" var="msgCat_ToolTitle"/>

var home = angular.module("homeApp", ['ngSanitize','ui.bootstrap']);

home.controller("homeController", function($scope,$http,$templateCache,$location,$sce,$log) {

    $scope.init = function() {
        $scope.homeToolTitle = "<c:out value="${msgCat_homeTitle}"/>";
	    $scope.pageTitle = $scope.homeToolTitle;
	    $scope.loadHome();
	    
	    var menuItems = "{\"menus\": ["+
            <%--"{ \"url\":\"/preferences\" , \"label\":\"Preferences\" }"+--%>
            "]}";

        $scope.menuItems = eval ("(" + menuItems + ")");
	    
    }
    
    $scope.kmeNavLeft = function() {
        window.history.back();
    }
    
    $scope.loadHome = function(){
    var hometools ;
    if( localStorage
                && localStorage.getItem( "home_tools_data" ) != null ) {
            $log.debug("Local storage is available in the browser.");
            hometools = JSON.parse(localStorage.getItem( "home_tools_data" ) );
            $scope.HomeTools = hometools;
        } else {
            $http({
            method: 'GET',
            url: '<c:out value="${pageContext.request.contextPath}"/>/services/home/json'
        }).success(function(data, status, headers, config) {
            if( status != 200 ) {
                $scope.errors = '{"error":[{"id":'+status+',"name":"NoData"}]}';
            }
            $scope.HomeTools = data;
			localStorage.setItem( "home_tools_data", JSON.stringify(data));
        }).error(function(data, status, headers, config) {
            $scope.errors = '{"error":[{"id":'+status+',"name":"NoData"}]}';
        });
            $log.debug("Local storage is unavailable in the browser or no data found.");
        }
    
    }   
        
    $scope.homeClick = function(obj) {
        console.log(obj);
		if(obj.isDining){
			window.location.href = "dining:"+ obj.link;
		}else if(obj.isMaps){
			window.location.href = "maps:"+ obj.link;
		}
    }
     
});