<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="application/javascript; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

var sharedprefs = angular.module("sharedPreferenceApp", ['ngSanitize','ui.bootstrap']);

sharedprefs.controller("SharedPreferencesController", function($scope,$http,$window, $templateCache,$location,$sce,$log) {

    $scope.init = function() {
//    	$scope.username = "${username}";
    	$scope.username = "${cookie.currentNetworkId.value}";
        $scope.labToolTitle = "<c:out value="${sendersToolTitle}"/>";
        $scope.pageTitle = $scope.labToolTitle;
        $scope.loadPreferences();
        
        var menuItems = "{\"menus\": ["+
            <%--"{ \"url\":\"/push\" , \"label\":\"Push Notifications\" },"+ --%>
            <%--"{ \"url\":\"/push/history\" , \"label\":\"Push History\" },"+--%>
            <%--"{ \"url\":\"/devices\" , \"label\":\"Push Devices\" },"+--%>
            <%--"{ \"url\":\"/pushsenders\" , \"label\":\"Push Senders\" },"+--%>
            <%--"{ \"url\":\"/pushprefs\" , \"label\":\"Push Preferences\" },"+             --%>
            <%--"{ \"url\":\"/preferences\" , \"label\":\"Preferences\" }"+--%>
            "]}";
        $scope.menuItems = eval ("(" + menuItems + ")");
    }

    $scope.kmeNavLeft = function() {
        window.history.back();
    }

	$scope.login = function(){
		console.log("Login");
		window.location = "mocklogin";
	}

	$scope.loadPreferences = function(){
		if($scope.username != ""){		
			var url = "${pageContext.request.contextPath}/pushprefs/get?username=" + $scope.username;
			$http({
			    method: 'GET',
			    url: url,
			}).success(function (data, status, headers, config) {
			    // TODO
				console.log("SUCCESS" );
				var prefs =	data;		
				var length = prefs.preferences.length;
				for(var i = 0; i < length; i++){
					if(!prefs.preferences[i].enabled){
						console.log("Preference for Sender " + prefs.preferences[i].pushSenderID + " should be disabled");
						$("#" + prefs.preferences[i].pushSenderID + "").removeClass("enabled-check").removeClass("glyphicon-ok");		
						$("#" + prefs.preferences[i].pushSenderID + "").addClass("disabled-ecks").addClass("glyphicon-remove");
					}				
				}				
			}).error(function (data, status, headers, config) {
			    // TODO
				console.log("ERROR" + status);
			});
		}
	}

	$scope.updatePreference = function(id, enabled){
		if($scope.username != ""){
			var url = '${pageContext.request.contextPath}/pushprefs/save?data={username:"' + $scope.username + '",senderId:"' + id + '",enabled:' + enabled + '}';
			console.log(url);

			$http({
			    method: 'GET',
			    url: url,
			}).success(function (data, status, headers, config) {
			    // TODO
				console.log("SUCCESS" );
			}).error(function (data, status, headers, config) {
			    // TODO
				console.log("ERROR" + status);
			});
		}
	}

	$scope.toggle = function(id){
		var ecksClass = "glyphicon-remove disabled-ecks";
		var checkClass = "glyphicon-ok enabled-check";	
		if($scope.username != ""){
			if($("#"+id+"").hasClass("enabled-check")  && $("#"+id+"").hasClass("glyphicon-ok")){
				console.log("Disable " + id );	
				$scope.updatePreference(id, false);
				$("#"+id+"").removeClass("enabled-check").removeClass("glyphicon-ok");		
				$("#"+id+"").addClass("disabled-ecks").addClass("glyphicon-remove");
			}else if($("#"+id+"").hasClass("disabled-ecks")  && $("#"+id+"").hasClass("glyphicon-remove")){
				console.log("Enable " + id );	
				$scope.updatePreference(id, true);			
				$("#"+id+"").removeClass("disabled-ecks").removeClass("glyphicon-remove");
				$("#"+id+"").addClass("enabled-check").addClass("glyphicon-ok");
			}
		}else{
			console.log("No Username set. Can't save preferences.");			
		}
	}
	$scope.installClick = function(){
		var apps = "";
		$.get("${pageContext.request.contextPath}/testdata/nativeMobileAppURL.json", function(jdata) {	
	    apps = jQuery.parseJSON(jdata);
		if (/iPhone|iPad|iPod|Apple/i.test(navigator.userAgent)){
			window.location = apps.iPhoneURL;
		}else if (/Blackberry|RIM\sTablet/i.test(navigator.userAgent)){		
		     window.location = apps.BlackberryURL;
		}else if (/Android/i.test(navigator.userAgent)){
			window.location = apps.AndroidURL;
	   	}
		});
	}

});