<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="kme3" uri="http://kuali.org/mobility/v3.0"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>


<spring:message code="push.title" 	var="msgCat_Title"/>

<spring:message code="push.message.predefined" 	var="msgCat_PreDefinedNotifications"/>
<spring:message code="push.message.select.redefined" 	var="msgCat_SelectPreDefinedNotifications"/>
<spring:message code="push.message.recipients" 	var="msgCat_Recipients"/>
<spring:message code="push.message.recipient" 	var="msgCat_Recipient"/>
<spring:message code="push.message.select.recipients" 	var="msgCat_SelectRecipients"/>
<spring:message code="push.message.title" 	var="msgCat_MessageTitle"/>
<spring:message code="push.message.body" 	var="msgCat_Message"/>
<spring:message code="push.message.url" 	var="msgCat_MessageUrl"/>

<spring:message code="push.message.emergency" 	var="msgCat_Emergency"/>
<spring:message code="push.message.is.an.emergnecy" 	var="msgCat_IsAnEmergency"/>
<spring:message code="push.message.url.optional" 	var="msgCat_UrlOptional"/>

<spring:message code="push.message.clear" 	var="msgCat_Clear"/>
<spring:message code="push.message.send" 	var="msgCat_Send"/>
<spring:message code="push.devices.username" 	var="msgCat_Username"/>
<spring:message code="push.device.type" var="msgCat_DevType"/>

<kme3:page title="${msgCat_Title}" toolName="push" ngAppName="pushApp" ngControllerName="PushController" ngInitFunction="init" backFunction="kmeNavLeft"  cssFilename="push" jsFilename="push">
<div id="theContentArea" class="main-view" ng-view="">
	<div class="alert alert-danger" ng-repeat="error in errors.error">
		{{error.name}}
	</div>
	
	<div id="mainPushPage" class="list-group inset-content-10px" ng-show="showMainPushPage" ng-init="showMainPushPage=true">
		<form>


			<c:if test="${not empty device}">
			<input type="hidden" name="id" value="${device.id}" ng-model="id" ng-init="id='${device.id}'"/>
			<input type="hidden" name="deviceId" value="${device.deviceId}" ng-model="deviceId" ng-init="deviceId='${device.deviceId}'"/>
			<label>${msgCat_Recipient}</label>
			<div class="list-group" style="margin-top: 10px;">
				<div class="list-group-item">
					<strong><c:out value="${device.deviceName}" /></strong><br>
					${msgCat_Username}: <span style="color:darkred;">${device.username}</span><br>
					${msgCat_DevType}: ${device.type}<br>
					<p class="wrap"><spring:message code="push.device.devid" />:<c:out value="${device.deviceId}" /></p>
				</div>
			</div>
			</c:if>


			<c:if test="${empty device}">
				<label for="recipientselect">${msgCat_Recipients}</label>
				<select id="recipientselect" name="recipientselect" class="form-control" style="margin-bottom: 15px;" ng-model="recipientselect" ng-init="recipientselect='nil'" ng-change="onRecipientSelectChange()">
					<option value="nil" selected>${msgCat_SelectRecipients}</option>
					<c:forEach items="${recipients}" var="msg">
					<option value="${msg.value}">${msg.key}</option>
					</c:forEach>
				</select>
			</c:if>

			<input type="hidden" name="sender" value="${cookie.currentNetworkId.value}" ng-model="sender"/>
		
			<label for="pushselect"><spring:message code="push.messages" /></label>
			<select id="pushselect" name="pushselect" class="form-control" style="margin-bottom: 15px;" ng-model="pushselect" ng-init="pushselect='nil'" ng-change="onPushSelectChange()">
				<option value="nil" selected>${msgCat_SelectPreDefinedNotifications}</option>
				<c:forEach items="${stockPushMessages}" var="msg">
				<option value="${msg.value}">${msg.key}</option>
				</c:forEach>
			</select>
					
	        <div class="form-group">
	            <label for="inputTitle">${msgCat_MessageTitle}</label>
	            <input type="text" class="form-control" id="inputTitle" ng-model="inputTitle" placeholder="${msgCat_MessageTitle}">
	        </div>
	        
	        <div class="form-group">
	            <label class="control-label" for="inputMessage">${msgCat_Message}</label>
                <textarea rows="3" class="form-control" id="inputMessage" ng-model="inputMessage" placeholder="${msgCat_Message}"></textarea>
	        </div>

	        <div class="form-group">
	            <label for="inputUrl">${msgCat_MessageUrl}</label>
	            <input type="text" class="form-control" id="inputUrl" ng-model="inputUrl" placeholder="${msgCat_UrlOptional}">
	        </div>
	        	        
	        <div class="form-group">
	            <label class="control-label">${msgCat_Emergency}</label>
	            <div>
	            	<input type="checkbox" name="inputEmergency" ng-model="inputEmergency" value="no"> ${msgCat_IsAnEmergency}
	            </div>
	        </div>

	        <div class="form-group pull-right">
		        <a class="btn btn-default" ng-click="clearPush()">${msgCat_Clear}</a>
		        <a class="btn btn-kme" ng-click="sendPush()" ng-disabled="!(inputTitle && inputMessage)">${msgCat_Send}</a>
	        </div>
		</form>
	</div>
		


</div>
</kme3:page>