<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="application/javascript; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<spring:message code="push.title" 	var="msgCat_Title"/>




var push = angular.module("pushApp", ['ngSanitize','ui.bootstrap']);

push.controller("PushController", function($scope,$http,$window, $templateCache,$location,$sce,$log) {

    $scope.init = function() {
        $scope.labToolTitle = "<c:out value="${msgCat_Title}"/>";
        $scope.pageTitle = $scope.labToolTitle;


        var menuItems = "{\"menus\": ["+
            "{ \"url\":\"/push\" , \"label\":\"Push Notifications\" },"+ 
            "{ \"url\":\"/push/history\" , \"label\":\"Push History\" },"+
            "{ \"url\":\"/devices\" , \"label\":\"Push Devices\" },"+
            "{ \"url\":\"/pushsenders\" , \"label\":\"Push Senders\" },"+
            "{ \"url\":\"/pushprefs\" , \"label\":\"Push Preferences\" },"+            
            <%--"{ \"url\":\"/preferences\" , \"label\":\"Preferences\" }"+--%>
            "]}";
        $scope.menuItems = eval ("(" + menuItems + ")");
    }

    $scope.kmeNavLeft = function() {
		if($scope.showPushHistoryPage){
			$scope.showMainPage();
		}else{
	        window.history.back();
		}
    }

	$scope.clearPush = function(){
		$scope.inputTitle = "";
		$scope.inputMessage = "";
		$scope.pushselect = "nil";
		$scope.recipientselect = "nil";
	}

	$scope.sendPush = function (){
		var data = new Object();
		data.title = $scope.inputTitle;
		data.message = $scope.inputMessage;
		data.sender = ($scope.sender) ? $scope.sender : "";
		data.url = ($scope.inputUrl) ? $scope.inputUrl : "";
		data.emergency = ($scope.inputEmergency) ? true : false;
		data.recipient = ($scope.recipientselect) ? $scope.recipientselect : "" ;
		data.senderKey = "${senderKey}";
		var devId = $scope.deviceId;
		data.devices = new Array();
		if(devId){
			data.devices[0] = devId;
		}else{
			data.devices[0] = "";
		}

		var url = "<c:out value="${pageContext.request.contextPath}"/>/services/push/submit";		
		$http({
		    method: 'POST',
		    url: url,
		    data: data,
		    headers: {'Content-Type': 'application/x-www-form-urlencoded'}
		}).success(function (data, status, headers, config) {
		    // TODO
			console.log("SUCCESS" );
			$scope.showHistoryPage();
		}).error(function (data, status, headers, config) {
		    // TODO
			console.log("ERROR" + status);
		});
	

	}
	
	$scope.onPushSelectChange = function(){
		console.log($scope.pushselect);
		console.log($("#pushselect option:selected").text());
		$scope.inputTitle = $("#pushselect option:selected").text();
		$scope.inputMessage = $scope.pushselect;

	}
	
	$scope.onRecipientSelectChange = function(){
		console.log($scope.recipientselect);
	}

	$scope.showMainPage = function(){
		$scope.showMainPushPage = true;
		$scope.showPushHistoryPage = false;	
	}
	
	
	
	$scope.showHistoryPage = function(){
		window.location = "<c:out value="${pageContext.request.contextPath}"/>/push/history";
	}
});