<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="kme3" uri="http://kuali.org/mobility/v3.0"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>


<spring:message code="push.history" 	var="msgCat_Title"/>

<spring:message code="push.message.predefined" 	var="msgCat_PreDefinedNotifications"/>
<spring:message code="push.message.select.redefined" 	var="msgCat_SelectPreDefinedNotifications"/>
<spring:message code="push.message.recipients" 	var="msgCat_Recipients"/>
<spring:message code="push.message.recipient" 	var="msgCat_Recipient"/>
<spring:message code="push.message.select.recipients" 	var="msgCat_SelectRecipients"/>
<spring:message code="push.message.title" 	var="msgCat_MessageTitle"/>
<spring:message code="push.message.body" 	var="msgCat_Message"/>
<spring:message code="push.message.url" 	var="msgCat_MessageUrl"/>

<spring:message code="push.message.emergency" 	var="msgCat_Emergency"/>
<spring:message code="push.message.is.an.emergnecy" 	var="msgCat_IsAnEmergency"/>
<spring:message code="push.message.url.optional" 	var="msgCat_UrlOptional"/>

<spring:message code="push.message.clear" 	var="msgCat_Clear"/>
<spring:message code="push.message.send" 	var="msgCat_Send"/>
<spring:message code="push.devices.username" 	var="msgCat_Username"/>
<spring:message code="push.device.type" var="msgCat_DevType"/>

<kme3:page title="${msgCat_Title}" toolName="push" ngAppName="pushHistoryApp" ngControllerName="PushHistoryController" ngInitFunction="init" backFunction="kmeNavLeft"  cssFilename="push" jsFilename="history">
<div id="theContentArea" class="main-view" ng-view="">
	<div class="alert alert-danger" ng-repeat="error in errors.error">
		{{error.name}}
	</div>
	
	<div id="mainHistoryPage" class="list-group inset-content-10px" ng-show="showMainHistoryPage" ng-init="showMainHistoryPage=true">
		<div class="list-group-item list-header">Past Notifications</div>
		<a ng-click="goTo(thisNotification.url)" class="list-group-item" ng-repeat="thisNotification in notifications">
	   		<h5 class="list-group-item-heading">{{thisNotification.title}} <div class="glyphicon glyphicon-chevron-right pull-right" ng-show="thisNotification.url.length" ng-cloak></h5>
	      	<p class="list-group-item-text">
	      		<p style="padding-bottom:10px;">{{thisNotification.message}}</p>
	      		Recipients: {{thisNotification.recipients}}<br>
	      		<span ng-show="thisNotification.url.length" ng-cloak>URL: {{thisNotification.url}}<br></span>
	      		Sent on {{thisNotification.sentTimeStamp | date:'medium'}}
	      	</p>		
		</a>
	</div>


</div>
</kme3:page>