<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="kme3" uri="http://kuali.org/mobility/v3.0"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>


<kme3:page title="Push Preferences" toolName="pushprefs" ngAppName="pushPreferenceApp" ngControllerName="PushPreferencesController" ngInitFunction="init" backFunction="kmeNavLeft"  cssFilename="push" jsFilename="preferences">
<div id="theContentArea" class="main-view" ng-view="">
	<div class="alert alert-danger" ng-repeat="error in errors.error">
		{{error.name}}
	</div>
	
	<div id="mainSenderPage" class="list-group inset-content-10px" ng-show="showPreferencePage" ng-init="showPreferencePage=true">
		<c:if test="${empty username}">	
			<a ng-click="login()" class="list-group-item">
				<h5 class="list-group-item-heading">Login<div class="glyphicon glyphicon-log-in pull-right"></div></h5>
				<p class="list-group-item-text">Once you've logged in, you will be able to customize and save your notification preferences.</p>	
			</a>		
		    <div class="list-group-item list-header"></div>
		</c:if>
        <c:forEach items="${senders}" var="sender" varStatus="status">	            
			<a ng-click="toggle('${sender.id}')" class="list-group-item">
		   		<h5 class="list-group-item-heading">${sender.name}<div class="glyphicon glyphicon-ok pull-right enabled-check" id="${sender.id}"></div></h5>
	    	  	<p class="list-group-item-text">${sender.description}</p>		
			</a>
		</c:forEach>  		
	</div>
</div>
</kme3:page>