<%--
Copyright 2014 The Kuali Foundation Licensed under the Educational
Community License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License
at http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
agreed to in writing, software distributed under the License is distributed
on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express or implied. See the License for the specific language governing
permissions and limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="kme3" uri="http://kuali.org/mobility/v3.0"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>


<spring:message code="push.senders" var="msgCat_Title"/>
<spring:message code="push.senders.header" var="msgCat_Header"/>
<spring:message code="push.senders.new.sender" var="msgCat_NewSender"/>
<spring:message code="push.senders.new.sender.description" var="msgCat_NewSenderDesc"/>
<spring:message code="push.senders.non-hidden.sender" var="msgCat_NonHiddenSender"/>

<spring:message code="push.senders.name" var="msgCat_Name"/>
<spring:message code="push.senders.shortname" var="msgCat_ShortName"/>
<spring:message code="push.senders.description" var="msgCat_Description"/>
<spring:message code="push.senders.senderkey" var="msgCat_SenderKey"/>
<spring:message code="push.senders.user.blockable" var="msgCat_UserBlockable"/>
<spring:message code="push.senders.users.maynotblock" var="msgCat_UsersMayNotBlock"/>
<spring:message code="push.senders.cancel" var="msgCat_Cancel"/>
<spring:message code="push.senders.delete" var="msgCat_Delete"/>
<spring:message code="push.senders.save" var="msgCat_Save"/>


<kme3:page title="${msgCat_Title}" toolName="pushsenders" ngAppName="sendersApp" ngControllerName="SendersController" ngInitFunction="init" backFunction="kmeNavLeft"  cssFilename="sender" jsFilename="sender">
<div id="theContentArea" class="main-view" ng-view="">
	<div class="alert alert-danger" ng-repeat="error in errors.error">
		{{error.name}}
	</div>
	
	<div id="mainSenderPage" class="list-group inset-content-10px" ng-show="showMainSenderPage" ng-init="showMainSenderPage=true">
		<a ng-click="newSender()" class="list-group-item">
			<h5 class="list-group-item-heading">${msgCat_NewSender} <div class="glyphicon glyphicon-plus pull-right"></div></h5>
			<p class="list-group-item-text">${msgCat_NewSenderDesc}</p>	
		</a>	
	
	    <div class="list-group-item list-header">${msgCat_Header}</div>
		<a ng-click="editSender(thisSender)" class="list-group-item" ng-repeat="thisSender in senders">
	   		<h5 class="list-group-item-heading">{{thisSender.name}}<div class="glyphicon glyphicon-chevron-right pull-right"></div></h5>
	   		<span style="color:darkred;" ng-show="thisSender.hidden">${msgCat_NonHiddenSender}</span>
	      	<p class="list-group-item-text">{{thisSender.description}}</p>		
		</a>
	</div>
	
	<div id="newSenderPage" class="list-group inset-content-10px" ng-show="showNewSenderPage" ng-init="showNewSenderPage=false">
	    <form>
	    	<input type="hidden" id="inputId" name="inputId" ng-model="inputId">
	        <div class="form-group">
	            <label for="inputName">${msgCat_Name}</label>
	            <input type="text" class="form-control" id="inputName" ng-model="inputName" placeholder="${msgCat_Name}">
	        </div>

	        <div class="form-group">
	            <label for="inputShortName">${msgCat_ShortName}</label>
	            <input type="text" class="form-control" id="inputShortName" ng-model="inputShortName" placeholder="${msgCat_ShortName}">
	        </div>

	        
	        <div class="form-group">
	            <label class="control-label" for="inputDescription">${msgCat_Description}</label>
                <textarea rows="3" class="form-control" id="inputDescription" ng-model="inputDescription" placeholder="${msgCat_Description}"></textarea>
	        </div>
	        
	        <div class="form-group">	        
	            <label for="inputSenderKey">${msgCat_SenderKey}</label>
	            <div class="input-group">
	                <span class="input-group-btn">
	 	               <button type="button" class="btn btn-default" ng-click="newKey()"><span class="glyphicon glyphicon-refresh"></span></button>
	                </span>
	                <input type="text" class="form-control" id="inputSenderKey" ng-model="inputSenderKey" placeholder="">
	            </div>
	        </div>
	        	        
	        <div class="form-group">
	            <label class="control-label">${msgCat_UserBlockable}</label>
	            <div>
	            	<input type="checkbox" name="inputUserBlockable" ng-model="inputUserBlockable" value="no"> ${msgCat_UserMayNotBlock}
	            </div>
	        </div>


	        <div class="form-group pull-right">
		        <a class="btn btn-default" ng-click="cancelNewSender()">${msgCat_Cancel}</a>
		        <a class="btn btn-default" ng-click="deleteSender()" ng-show="showDeleteButton">${msgCat_Delete}</a>
		        <a class="btn btn-kme" ng-click="saveSender()">${msgCat_Save}</a>
	        </div>
	    </form>
	</div>
</div>
</kme3:page>