//  Copyright 2014 The Kuali Foundation Licensed under the Educational Community
//  License, Version 2.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
//  agreed to in writing, software distributed under the License is distributed
//  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
//  express or implied. See the License for the specific language governing
//  permissions and limitations under the License.

'use strict';

/**
 * Controller for the form
 */
grades.controller("FormCtrl",
    ['$scope', '$window','GradesSession',
        function($scope, $window, GradesSession) {
            $scope.$root.kmeNavLeft = function() {
                window.history.back();
            };
             /**
             * Defaults for date fields
             */
            var year = new Date().getFullYear();

            GradesSession.startDate = new Date(year, 0, 1);
            GradesSession.endDate = new Date(year, 11, 31);
            $scope.gradesSession = GradesSession;


            $scope.open = function(flag, $event) {
                $event.preventDefault();
                $event.stopPropagation();

                if('start' === flag){
                    $scope.endDateOpen = false;
                    $scope.startDateOpen = true;
                }
                else if ('end' === flag){
                    $scope.startDateOpen = false;
                    $scope.endDateOpen = true;
                }
            };

            /**
             * Handler for submit click
             */
            $scope.submit = function(){

                moment($scope.gradesSession.startDate).format("YYYY-MM-DD")

                $window.location ="#/results";
            };
        }]);

/**
 * Controller for the results partial
 */
grades.controller("ResultsCtrl",
    ['$scope', '$window','GradesSession', 'GradesService',
        function($scope,$location,GradesSession,GradesService) {
            $scope.$root.kmeNavLeft = function() {
                window.history.back();
            };
            $scope.serverBusy = true;

            GradesService.getGrades(
                    moment(GradesSession.startDate).format("YYYY-MM-DD"),
                    moment(GradesSession.endDate).format("YYYY-MM-DD")
                ).then(
                // Success
                function(results){
                    $scope.serverBusy = false;
                    $scope.serverSuccess = true;
                    $scope.results = results;
                },
                // Failed
                function(error){
                    $scope.serverBusy = false;
                    $scope.serverError = true;
                });
        }]
);