//  Copyright 2014 The Kuali Foundation Licensed under the Educational Community
//  License, Version 2.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
//  agreed to in writing, software distributed under the License is distributed
//  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
//  express or implied. See the License for the specific language governing
//  permissions and limitations under the License.

'use strict';
var library = angular.module("libraryApp", ['ngSanitize','ui.bootstrap', 'ngRoute']);

/**
 * Configure routes for the Grades tool
 */
library.config(['$routeProvider',
    function($routeProvider) {
        $routeProvider.
            when('/home', 		    		{ 'templateUrl' : 'library/home'}).
            when('/viewHours', 				{ 'templateUrl' : 'library/viewHours' }).
            when('/viewHours/:libraryId', 	{ 'templateUrl' : function(routeParams){return 'library/viewHours/'+routeParams.libraryId; }}).
            when('/editHours/:libraryId',   { 'templateUrl' : function(routeParams){return 'library/editHours/'+routeParams.libraryId; }}).
            when('/viewContact', 			{ 'templateUrl' : 'library/viewContact' }).
            when('/viewContact/:libraryId', { 'templateUrl' : function(routeParams){return 'library/viewContact/'+routeParams.libraryId; }}).
            when('/editContact/:libraryId', { 'templateUrl' : function(routeParams){return 'library/editContact/'+routeParams.libraryId; }}).
            otherwise({ redirectTo: '/home' });
    }])

.run(function($rootScope, $templateCache) {
    $rootScope.$on('$viewContentLoaded', function() {
        $templateCache.removeAll();
    });
});
