//  Copyright 2014 The Kuali Foundation Licensed under the Educational Community
//  License, Version 2.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
//  agreed to in writing, software distributed under the License is distributed
//  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
//  express or implied. See the License for the specific language governing
//  permissions and limitations under the License.

'use strict';

/**
 * Controller for the form
 */
library.controller("NoOpCtrl",
    ['$scope', function($scope) {
        $scope.$root.kmeNavLeft = function() {
            window.history.back();
        };
    }
    ])

.controller("LibraryEditContactCtrl",
    ['$scope','$routeParams','$window', 'LibraryService',
    function($scope, $routeParams, $window, LibraryService){

        $scope.$root.kmeNavLeft = function() {
            window.history.back();
        };

        LibraryService.getLibraryContactDetails($routeParams.libraryId).then(function(contactDetail){
            $scope.contactDetail = contactDetail;
        });

        $("form#contactForm").submit(function(e){

//                    if ($scope.libraryHoursForm.$invalid){
//                        console.log("Form is not valid to submit yet");
//                        return;
//                    }
            $.ajax({
                    url : $(this).attr("action"),
                    type: "POST",
                    data : $(this).serialize(),
                    success:function(data, textStatus, jqXHR){
                        $window.location="#/viewContact/"+$scope.libraryId;
                    },
                    error: function(jqXHR, textStatus, errorThrown){
                        console.log("Failed to submit");
                    }
                });
            e.preventDefault(); //STOP default action
        });


    }])


.controller("LibraryEditHoursCtrl",
    ['$scope','$routeParams', '$window', 'LibraryService',
    function($scope, $routeParams, $window, LibraryService){

        $scope.$root.kmeNavLeft = function() {
            window.history.back();
        };

        $("form#libraryHoursForm").submit(function(e){

//                    if ($scope.libraryHoursForm.$invalid){
//                        console.log("Form is not valid to submit yet");
//                        return;
//                    }
            $.ajax(
                {
                    url : $(this).attr("action"),
                    type: "POST",
                    data : $(this).serialize(),
                    success:function(data, textStatus, jqXHR){
                        $window.location="#/viewHours/"+$scope.libraryId
                    },
                    error: function(jqXHR, textStatus, errorThrown){
                        console.log("Failed to submit");
                    }
                });
            e.preventDefault(); //STOP default action
        });

    }]
)


