//  Copyright 2014 The Kuali Foundation Licensed under the Educational Community
//  License, Version 2.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.osedu.org/licenses/ECL-2.0 Unless required by applicable law or
//  agreed to in writing, software distributed under the License is distributed
//  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
//  express or implied. See the License for the specific language governing
//  permissions and limitations under the License.

'use strict';

/**
 * Controller for the form
 */
library.factory("LibraryService",
    ['$q','$http',
        function($q, $http) {

            function LibraryService(){}

            /**
             * Gets the grade from the start and end date
             * @param startDate Date to start filter the results
             * @param endDate End date to filter the results
             * @returns {*}
             */
            LibraryService.prototype.getLibraryContactDetails = function(libraryId){
                var deferred = $q.defer();
                $http({
                    method: 'GET',
                    url: window.kme.serverDetails.getContextPath()+ "/services/library/getLibraryContact/" + libraryId + ".json"
                }).success(function(data, status, headers, config) {
                        if( status != 200 ) {
                            deferred.reject({code : 1 , message : "Error from server"});
                        }
                        else{
                            deferred.resolve(data);
                        };
                    }).error(function(data, status, headers, config) {
                        deferred.reject({code : 1 , message : "Error from server"});
                    });
                return deferred.promise;
            };

            return new LibraryService();
        }
    ]);

