var validator;
$(document).ready(function() {
	// Validator for file size
	$.validator.addMethod("fileSize", function(value, element, param) {
		var files = element.files;
		var fileSize = 0;
		if (!files) {
			// for IE
			try {
				var fs = new ActiveXObject('Scripting.FileSystemObject');
				var file = fs.getFile(element.value);
				fileSize = file.size;
			} catch (ex) {
				fileSize = -1;
			}
		} else if (files.length > 0) {
			// for rest of the world
			fileSize = files[0].size;
		}
		return this.optional(element) || fileSize <= param;
	}, "Check file size");

	validator = $("#editArticleForm").validate(
			{
                errorElement : 'div',
                errorPlacement: function(error, element) {
                    if(element.prop('tagName').toLowerCase() === 'input'){
                        error.insertAfter(element.parent(".ui-input-text"));
                    }
                    else{
                        error.insertAfter(element);
                    }
                },
				rules : {
					// Validation rules on the heading
					heading : {
						required : true,
						minlength : 3,
						maxlength : 60
					},
					// Validation of the article content
					text : {
						required : true,
						minlength : 10,
						maxlength : 4000
					},
					// Validation of the article
					// synopsis
					synopsis : {
						required : true,
						minlength : 10,
						maxlength : 250
					},
					uploadImage : {
						required : false,
						fileSize : 5242880, // 5 MB
						accept : "jpeg|jpg|png"
					},
					uploadVideo : {
						required : false,
						fileSize : 15728640, // 15 MB
						accept : "3gp|mp4|m4v"
					},
					linkUrl : {
						required : false,
						url : true 
					}
				},
			messages : validation_messages
		});
	});