/**
 * Marks an article as deleted.
 * @param id Id of the article
 */
function deleteArticle(id){
	displayConfirm(
			// Message
			msgCat_ConfirmDeleteArticle,
			// Clicked yes
			function(){
				submitDeleteArticle(id);
			}
	);
}

/**
 * Submits a request to the server to mark an article as deleted
 * @param id
 */
function submitDeleteArticle(id){
	var submitURL = serverInstanceURL+"/deleteArticle";
	//start the ajax
	$.ajax({
		//this is the php file that processes the data and send mail
		url : submitURL,
		//POST method is used
		type : 'GET',
		//pass the data        
		data : {"articleId" : id},
		//Do not cache the page
		cache : false,
		//success
		success : function(data, textStatus, jqXHR) {
			deleteSuccess();
		},
		error: function(jqXHR, textStatus, errorThrown){
			deleteError(jqXHR.status);
		}
	});
}

/**
 * Action to take when the article deletion was a success
 */
function deleteSuccess(){
	displayInformation (
		msgCat_ArticleDeleted, 
		function(){
			window.location=serverInstanceURL;
		});
}

/**
 * Action to take when there was an error deleting the article.
 * @param httpStatus
 */
function deleteError(httpStatus){
	if (httpStatus == 404){
		displayInformation (msgCat_ArticleNotFound);
	}
	else if (httpStatus == 403){
		displayInformation (msgCat_ArticleDeleteFailedNoRight);
	}
	else {
		displayInformation (msgCat_ArticleDeleteFailed);
	}
}

$(document).ready(function()
	{
		var isNative 	= ("yes" == $.cookie('native'));
		if (isNative){
			
			$("#linkUrl")
            .click(function(){
				window.plugins.KMEDevice.openInExternal(msgCat_LinkUrl);
			});
		}
	}
);