/**
 * Function to display a confirmation
 * @param message Message to display
 * @param callbackYes Callback function for when yes is selected
 * @param callbackNo Callback function for when no is selected
 */
function displayConfirm (message, callbackYes, callbackNo){
	
	if(!callbackNo){
		callbackNo = function(){};
	}
	
	if(!callbackYes){
		callbackYes = function(){};
	}
	
	// List of buttons to display
	var buttonsList = {};
	
	// Configuration for selecting yes
	buttonsList[msgCat_Yes] = {
		'default'	: 'yes',
		'action'	: callbackYes
	};
	
	// Configuration for selecting no
	buttonsList[msgCat_No] = {
		'default'	: 'no',
		'action'	: callbackNo
	};
	
	// Display the confirmation dialog
	$.confirm({
		'message'	: message,
		'buttons'	: buttonsList
	});
}

/**
 * Displays a information dialog with okay button to dismiss
 * @param message Message to display
 * @param callbackOkay Callback for when okay is clicked
 */
function displayInformation (message, callbackOkay){
	
	if(!callbackOkay){
		callbackNo = function(){};
	}
	// List of buttons to display
	var buttonsList = {};
	
	// Configuration for selecting yes
	buttonsList[msgCat_Ok] = {
		'default'	: 'yes',
		'action'	: callbackOkay
	};
	
	// Display the confirmation dialog
	$.confirm({
		'message'	: message,
		'buttons'	: buttonsList
	});
}
