$(document).ready(function(){
	// Display the no comments message if required on document ready
	checkEmptyComments();
});
/**
 * Method to delete a comment
 * @param commentId Id of the comment to delete
 */
function deleteComment(commentId){

	var dataObject = {"commentId" : commentId};
	$.ajax({
		url: "deleteComment?time="+new Date().getTime(),
		type: "POST",
		data : dataObject,
		success: function(data, textStatus, jqXHR){
			$("#comment_"+commentId).slideUp("slow", function(){
				$(this).remove(); // and remove from DOM
				checkEmptyComments();
			});
	  }
	});
}

/**
 * Method to check if there are no comments.
 * This method will be called after a comment is 
 * deleted, and will display a message
 * if there are no more comments for the article
 */
function checkEmptyComments(){
	if ($("ul[id^=comment_]").length == "0" ){
		$("#noComments").fadeIn();
	}
}

/**
 * Allows the user to confirm deleting a comment
 * @param commentId
 */
function confirmDelete(commentId){
	
	// List of buttons to display
	var buttonsList = {};

	// Configuration for selecting yes
	buttonsList[msgCat_Yes] = {
		'default'	: 'yes',
		'action'	: function(){deleteComment(commentId)}
	};

	// Configuration for selecting no
	buttonsList[msgCat_No] = {
		'default'	: 'no',
		'action'	:  function(){}
	};

	// Display the confirmation dialog
	$.confirm({
		'message'	: msgCat_ConfirmDeleteComment,
		'buttons'	: buttonsList
	});
}

